# This file is auto-generated by scripts/update_rpc.py
# 2024-01-19 23:50:54.474442
# Do not edit this file directly.
from typing import Dict, List

PUBLIC_CHAIN_RPCS: Dict[str, Dict[str, List[str]]] = {
    "arbitrum": {
        "mainnet": [
            "https://arb1.arbitrum.io/rpc",
            "https://arbitrum-one.publicnode.com",
        ],
        "goerli": [
            "https://goerli-rollup.arbitrum.io/rpc",
            "https://arbitrum-goerli.publicnode.com",
        ],
        "sepolia": [
            "https://sepolia-rollup.arbitrum.io/rpc",
        ],
    },
    "avalanche": {
        "mainnet": [
            "https://api.avax.network/ext/bc/C/rpc",
            "https://avalanche-c-chain.publicnode.com",
        ],
        "fuji": [
            "https://api.avax-test.network/ext/bc/C/rpc",
            "https://avalanche-fuji-c-chain.publicnode.com",
        ],
    },
    "base": {
        "mainnet": [
            "https://mainnet.base.org/",
            "https://developer-access-mainnet.base.org/",
            "https://base.gateway.tenderly.co",
            "https://base.publicnode.com",
        ],
        "sepolia": [
            "https://sepolia.base.org",
        ],
    },
    "bsc": {
        "mainnet": [
            "https://bsc-dataseed1.bnbchain.org",
            "https://bsc-dataseed2.bnbchain.org",
            "https://bsc-dataseed3.bnbchain.org",
            "https://bsc-dataseed4.bnbchain.org",
            "https://bsc-dataseed1.defibit.io",
            "https://bsc-dataseed2.defibit.io",
            "https://bsc-dataseed3.defibit.io",
            "https://bsc-dataseed4.defibit.io",
            "https://bsc-dataseed1.ninicoin.io",
            "https://bsc-dataseed2.ninicoin.io",
            "https://bsc-dataseed3.ninicoin.io",
            "https://bsc-dataseed4.ninicoin.io",
            "https://bsc.publicnode.com",
        ],
        "testnet": [
            "https://data-seed-prebsc-1-s1.bnbchain.org:8545",
            "https://data-seed-prebsc-2-s1.bnbchain.org:8545",
            "https://data-seed-prebsc-1-s2.bnbchain.org:8545",
            "https://data-seed-prebsc-2-s2.bnbchain.org:8545",
            "https://data-seed-prebsc-1-s3.bnbchain.org:8545",
            "https://data-seed-prebsc-2-s3.bnbchain.org:8545",
            "https://bsc-testnet.publicnode.com",
        ],
    },
    "ethereum": {
        "mainnet": [
            "https://api.mycryptoapi.com/eth",
            "https://cloudflare-eth.com",
            "https://ethereum.publicnode.com",
            "https://mainnet.gateway.tenderly.co",
            "https://rpc.flashbots.net",
            "https://rpc.flashbots.net/fast",
            "https://rpc.mevblocker.io",
            "https://rpc.mevblocker.io/fast",
            "https://rpc.mevblocker.io/noreverts",
            "https://rpc.mevblocker.io/fullprivacy",
        ],
        "goerli": [
            "https://rpc.goerli.mudit.blog/",
            "https://ethereum-goerli.publicnode.com",
            "https://goerli.gateway.tenderly.co",
        ],
        "sepolia": [
            "https://rpc.sepolia.org",
            "https://rpc2.sepolia.org",
            "https://rpc-sepolia.rockx.com",
            "https://rpc.sepolia.ethpandaops.io",
            "https://sepolia.gateway.tenderly.co",
            "https://ethereum-sepolia.publicnode.com",
        ],
    },
    "fantom": {
        "mainnet": [
            "https://rpc.ftm.tools",
            "https://fantom.publicnode.com",
        ],
        "testnet": [
            "https://rpc.testnet.fantom.network",
            "https://fantom-testnet.publicnode.com",
        ],
    },
    "gnosis": {
        "mainnet": [
            "https://rpc.gnosischain.com",
            "https://rpc.gnosis.gateway.fm",
            "https://rpc.ankr.com/gnosis",
            "https://gnosischain-rpc.gateway.pokt.network",
            "https://gnosis-mainnet.public.blastapi.io",
            "https://gnosis.api.onfinality.io/public",
            "https://gnosis.blockpi.network/v1/rpc/public",
            "https://web3endpoints.com/gnosischain-mainnet",
            "https://gnosis.oat.farm",
            "https://gnosis.publicnode.com",
        ],
    },
    "optimism": {
        "mainnet": [
            "https://mainnet.optimism.io",
            "https://optimism.publicnode.com",
            "https://optimism.gateway.tenderly.co",
        ],
        "goerli": [
            "https://goerli.optimism.io",
            "https://optimism-goerli.publicnode.com",
            "https://optimism-goerli.gateway.tenderly.co",
        ],
        "sepolia": [
            "https://sepolia.optimism.io",
        ],
    },
    "polygon": {
        "mainnet": [
            "https://polygon-rpc.com/",
            "https://rpc-mainnet.matic.network",
            "https://matic-mainnet.chainstacklabs.com",
            "https://rpc-mainnet.maticvigil.com",
            "https://rpc-mainnet.matic.quiknode.pro",
            "https://matic-mainnet-full-rpc.bwarelabs.com",
            "https://polygon-bor.publicnode.com",
            "https://polygon.gateway.tenderly.co",
        ],
        "mumbai": [
            "https://rpc-mumbai.maticvigil.com",
            "https://polygon-mumbai-bor.publicnode.com",
            "https://polygon-mumbai.gateway.tenderly.co",
        ],
    },
    "polygon-zkevm": {
        "mainnet": [
            "https://zkevm-rpc.com",
        ],
        "testnet": [
            "https://rpc.public.zkevm-test.net",
        ],
    },
}
